!mod$ v1 sum:efbb90eeb5f7592d
module iso_c_binding
use __fortran_builtins,only:c_associated=>__builtin_c_associated
use __fortran_builtins,only:c_funloc=>__builtin_c_funloc
use __fortran_builtins,only:c_funptr=>__builtin_c_funptr
use __fortran_builtins,only:c_f_pointer=>__builtin_c_f_pointer
use __fortran_builtins,only:c_loc=>__builtin_c_loc
use __fortran_builtins,only:c_null_funptr=>__builtin_c_null_funptr
use __fortran_builtins,only:c_null_ptr=>__builtin_c_null_ptr
use __fortran_builtins,only:c_ptr=>__builtin_c_ptr
use __fortran_builtins,only:c_sizeof=>sizeof
use __fortran_builtins,only:operator(==)
use __fortran_builtins,only:operator(/=)
integer(4),parameter::c_int8_t=1_4
integer(4),parameter::c_int16_t=2_4
integer(4),parameter::c_int32_t=4_4
integer(4),parameter::c_int64_t=8_4
integer(4),parameter::c_int128_t=16_4
integer(4),parameter::c_int=4_4
integer(4),parameter::c_short=2_4
integer(4),parameter::c_long=8_4
integer(4),parameter::c_long_long=8_4
integer(4),parameter::c_signed_char=1_4
integer(4),parameter::c_size_t=8_4
intrinsic::kind
private::kind
integer(4),parameter::c_intmax_t=16_4
integer(4),parameter::c_intptr_t=8_4
integer(4),parameter::c_ptrdiff_t=8_4
integer(4),parameter::c_int_least8_t=1_4
integer(4),parameter::c_int_fast8_t=1_4
integer(4),parameter::c_int_least16_t=2_4
integer(4),parameter::c_int_fast16_t=2_4
integer(4),parameter::c_int_least32_t=4_4
integer(4),parameter::c_int_fast32_t=4_4
integer(4),parameter::c_int_least64_t=8_4
integer(4),parameter::c_int_fast64_t=8_4
integer(4),parameter::c_int_least128_t=16_4
integer(4),parameter::c_int_fast128_t=16_4
integer(4),parameter::c_float=4_4
integer(4),parameter::c_double=8_4
integer(4),parameter::c_long_double=16_4
integer(4),parameter::c_float_complex=4_4
integer(4),parameter::c_double_complex=8_4
integer(4),parameter::c_long_double_complex=16_4
integer(4),parameter::c_bool=1_4
integer(4),parameter::c_char=1_4
character(1_4,1),parameter::c_null_char="\000"
intrinsic::achar
private::achar
character(1_4,1),parameter::c_alert="\007"
character(1_4,1),parameter::c_backspace="\b"
character(1_4,1),parameter::c_form_feed="\f"
character(1_4,1),parameter::c_new_line="\n"
character(1_4,1),parameter::c_carriage_return="\r"
character(1_4,1),parameter::c_horizontal_tab="\t"
character(1_4,1),parameter::c_vertical_tab="\v"
integer(4),parameter::c_float128=16_4
integer(4),parameter::c_float128_complex=16_4
interface c_f_procpointer
procedure::c_f_procpointer
end interface
contains
subroutine c_f_procpointer(cptr,fptr)
type(c_funptr),intent(in)::cptr
procedure(),intent(out),pointer::fptr
end
end
